package com.emato.ccnet.wx.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.io.Serializable;

@Component
@ConfigurationProperties(prefix="wx") //接收application.yml中的weimob下面的属性
public class Weimob implements Serializable {
    private static final long serialVersionUID = -2913008001943191086L;

    /**
     * 授权码
     */
    private String code;

    /**
     * 证书信息
     */
    private String clientId;
    private String clientSecret;

    /**
     * 回调地址
     */
    private String redirectUri;

    /**
     * 获取token地址
     */
    private String getTokenUri;

    /**
     * 微盟查询订单列表地址
     */
    private String queryOrderListUri;

    /**
     * 微盟查询订单详情地址
     */
    private String queryOrderDetailUri;

    /**
     * 微盟获取商品详情地址
     * @return
     */
    private String queryGoodsDetailUri;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getRedirectUri() {
        return redirectUri;
    }

    public void setRedirectUri(String redirectUri) {
        this.redirectUri = redirectUri;
    }

    public String getGetTokenUri() {
        return getTokenUri;
    }

    public void setGetTokenUri(String getTokenUri) {
        this.getTokenUri = getTokenUri;
    }

    public String getQueryOrderListUri() {
        return queryOrderListUri;
    }

    public void setQueryOrderListUri(String queryOrderListUri) {
        this.queryOrderListUri = queryOrderListUri;
    }

    public String getQueryOrderDetailUri() {
        return queryOrderDetailUri;
    }

    public void setQueryOrderDetailUri(String queryOrderDetailUri) {
        this.queryOrderDetailUri = queryOrderDetailUri;
    }

    public String getQueryGoodsDetailUri() {
        return queryGoodsDetailUri;
    }

    public void setQueryGoodsDetailUri(String queryGoodsDetailUri) {
        this.queryGoodsDetailUri = queryGoodsDetailUri;
    }
}
